com.sun.grid.jgdi.management

## Class NotificationBridgeFactory

- java.lang.Object
- - com.sun.grid.jgdi.management.NotificationBridgeFactory

-     public class NotificationBridgeFactory
      extends java.lang.Object

  Helper class for mapping JGDI Events to JMX notifications

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationBridgeFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.management.MBeanNotificationInfo[]` | `createMBeanNotificationInfo()`
    `static javax.management.Notification` | `createNotification(Event evt, long seqNumber)`
    `static NotificationBridge` | `newInstance(java.lang.String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationBridgeFactory

          public NotificationBridgeFactory()

  - ### Method Detail

    - #### createNotification

          public static javax.management.Notification createNotification(Event evt,
                                                                         long seqNumber)

    - #### newInstance

          public static NotificationBridge newInstance(java.lang.String url)

    - #### createMBeanNotificationInfo

          public static javax.management.MBeanNotificationInfo[] createMBeanNotificationInfo()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.